App::Pinto::Command::stacks(3pm)

NAME
App::Pinto::Command::stacks - show available stacks

VERSION
version 0.14

SYNOPSIS
  pinto --root=REPOSITORY_ROOT stacks [OPTIONS]

DESCRIPTION
This command lists the names (and some other details) of all the stacks currently available in the repository.

COMMAND ARGUMENTS
None.

COMMAND OPTIONS

--format=FORMAT_SPECIFICATION
    Format each record in the listing with "printf"-style placeholders. Valid placeholders are:

      Placeholder    Meaning
      -----------------------------------------------------------------------------
      %k             Stack name
      %e             Stack description
      %M             Stack default status                             (*) = default
      %L             Stack lock status                                (!) = locked
      %i             Stack head revision id prefix
      $I             Stack head revision id
      %g             Stack head revision message (full)
      %t             Stack head revision message title
      %b             Stack head revision message body
      %u             Stack head revision committed-on
      %j             Stack head revision committed-by
      %%             A literal '%'

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2015 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.